package com.iformall.mapper;

import java.util.Date;
import java.util.List;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxCUserTags;
import com.iformall.domain.vo.CUserTagNewIdVo;
import org.apache.ibatis.annotations.Param;

public interface WxCUserTagsMapper extends CommonMapper<WxCUserTags, String> {

	List<WxCUserTags> findList(WxCUserTags wxCUserTags);

	long countUser(@Param("tagIds")String tagIds,@Param("tenantId")String tenantId,
				   @Param("startTime")Date startTime,@Param("endTime")Date endTime);

	void updateNewId(CUserTagNewIdVo record);
}
